//#include<iostream>
//std::istream in=std::cin;
//std::ostream out=std::cout;

#include <fstream>
std::ifstream in("Visas.in");
std::ofstream out("Visas.out");


const char left='l';
const char right='r';
const char unknown='u';

class stamp{
private:
	int DD;
	int MM;
	int YY;
	char Dir;
	int days() const;
public:
	bool operator < (const stamp &) const;
	int operator - (const stamp&)const; //   ---  
	friend std::istream & operator >>(std::istream&,stamp &);
	friend std::ostream & operator <<(std::ostream&,const stamp &);
	char kierunek() const{return Dir;};
	stamp(int D,int M,int Y){
		DD=D;
		MM=M;
		YY=Y;
		Dir='u';
		return;
	};
	stamp(){return;};
};

int stamp::days() const{
	int D;
	switch (MM){
	case 1: D=0; break;
	case 2: D=31; break;
	case 3: D=59; break;
	case 4: D=90; break;
	case 5: D=120; break;
	case 6: D=151; break;
	case 7: D=181; break;
	case 8: D=212; break;
	case 9: D=243; break;
	case 10: D=273; break;
	case 11: D=304; break;
	case 12: D=334; break;
	};
	return D+DD;
}


int stamp::operator - (const stamp&X)const{ //   ---  
	return days()-X.days();
}


bool stamp::operator <(const stamp & X) const{
	if (YY<X.YY) return true;
	else{
		if (YY>X.YY) return false;
		else {
			if (MM<X.MM) return true;
			else{
				if (MM>X.MM) return false;
				else{
					if(DD<X.DD) return true;
					else return false;
				};
			};
		};
	};
};

class stack{
private:
	stamp S[255];
	int Ss;
public:
	stack(){
		Ss=0;
		return;
	};
	void push(const stamp & X){
		S[Ss++]=X;
		return;
	};
	stamp pop(){
//		out<<S[Ss-1]<<'\n';
		return S[--Ss];
	};
	stamp top(){
		return S[Ss-1];
	};
	void sort();
	bool empty(){
		return Ss==0;
	};
};

void stack::sort(){
	int i,j;
	stamp Tmp;
	for (i=0;i<Ss-1;i++){
		for(j=i+1;j<Ss;j++){
			if (S[i]<S[j]){
				Tmp=S[i];
				S[i]=S[j];
				S[j]=Tmp;
			};
		};
	};
	return;
}

std::ostream & operator <<(std::ostream&Os,const stamp &S){
	Os<<S.DD<<'.'<<S.MM<<'.'<<S.YY<<S.Dir;
	return Os;
}

std::istream & operator >>(std::istream&Is,stamp & S){
   char T[3],Dot,y1,y2;
   Is>>S.DD>>Dot>>S.MM>>Dot>>y1>>y2>>T;
   S.YY=(y1-48)*10+y2-48;
   if (T[0]=='-' && T[1]=='>') S.Dir=right;
   else {
	   if (T[0]=='<' && T[1]=='-') S.Dir=left;
	   else S.Dir=unknown;
   };
   return Is;
}

int main(){
	stamp S,S0,S1;
	char C[2];
	int D[2];
	int Curr;
    stack St;
	while (in.peek()!='\n' && in>>S){
		in.ignore(100,'\n');
		St.push(S);
	};
	St.sort();
	Curr=0;
	D[0]=D[1]=0;
	while (!St.empty()&&St.top()<stamp(31,12,1)) {
		Curr=1-Curr;
		S0=St.pop();
		if (S0.kierunek()=='l') {
			C[Curr]='A';
			C[1-Curr]='B';
		}
		else{
			if (S0.kierunek()=='r'){
				C[Curr]='B';
				C[1-Curr]='A';
			}
		}
	}
	S0=stamp(1,1,2);
	while(!St.empty()){
		Curr=1-Curr;
		S=St.pop();
		if (S.kierunek()=='l') {
			C[Curr]='A';
			C[1-Curr]='B';
		}
		else{
			if (S.kierunek()=='r'){
				C[Curr]='B';
				C[1-Curr]='A';
			}
		}
		if (stamp(31,12,2)<S) S=stamp(32,12,2);
		D[Curr]+=(S-S0);
		S0=S;
	};
	if (S0<stamp(32,12,2)) D[1-Curr]+=(stamp(32,12,2)-S0);
	if (D[0]>D[1]) { out<<C[0]<<'\n'; out<<D[0]<<'\n';}
	else { out<<C[1]<<'\n'; out<<D[1]<<'\n';}
	out.close();
	in.close();
	return 0;
}